<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <title>Title</title>
    <style>
        html, body {
            width: 100%;
            height: 100%;
        }

        .container {
            min-height: 100%;
            display: grid;
            grid-template-rows: auto 1fr auto;
            grid-template-columns: 100%;
        }

        header {
            background-color: #334455;
        }

        main {
            background-color: aquamarine;

        }

        footer {
            background-color: darkgreen;
            height: 100px;
        }
        div, nav, section, article, aside, header, footer {
            color: white;
            font-weight: bold;
            font-size: 1.4em;
        }

    </style>
</head>
<body>
    <div class="container">
        <header>le header</header>

        <main>
            le contenu
        </main>

        <footer>le footer</footer>
    </div>
</body>
</html>